import { CollectionSchema, ProductSchema } from '@byondrnd/showroom-schemas';
import { IFilter, IProduct } from '../../EventSystem/EventTypes';
export interface CatalogInfo {
    userEmail: string;
    userPassword: string;
    userOrgID: string;
    catalogIDs: string[];
    filters?: string[];
}
export declare class CatalogManager {
    catalogs: Map<string, CollectionSchema.ICatalog>;
    catalogInfo: CatalogInfo;
    collectionMap: Map<string, Array<CollectionSchema.ICollection>>;
    constructor(catalogLoginInfo: CatalogInfo);
    init(): Promise<void>;
    getCatalogCollections(): CollectionSchema.ICollection[];
    GetProductList(application: string, filters?: IFilter[]): IProduct[];
    productMatchFilter(products: ProductSchema.IProduct[], filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    getFullProductDetails(productId: string): Promise<any>;
    getCatalogsApplications(): {
        application: string;
        image: string;
    }[];
    getCatalogsFilters(application: string): {
        name: string;
        options: string[];
    }[];
    loadCatalogs(): Promise<CollectionSchema.ICatalog>;
    loadCatalogCollections(): Promise<CollectionSchema.ICollection[]>;
    loadCatalogsCollections(): Promise<void>;
}
